name: skapp
description: A new Flutter project.

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 33.0.0+33

environment:
  sdk: ">=2.2.0 <3.0.0"

#dependency_overrides:
#chewie:
# git:
#url: https://github.com/masewo/chewie.git

dependencies:
  flutter:
    sdk: flutter

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.3
  carousel_pro: ^0.0.13
  http: any
  dio: any
  path_provider: ^2.0.8
  flutter_launcher_icons: "^0.7.0"
  chewie: ^1.2.2
  font_awesome_flutter: ^8.0.1
  google_maps_flutter: ^0.5.22+3
  json_serializable: ^2.0.2
  location: ^2.3.5
  permission: ^0.1.2
  permission_handler: "^3.2.0"
  image_picker: ^0.6.3+1
  intl: ^0.17.0
  localstorage: ^4.0.0+1
  shared_preferences: ^0.5.6+1
  flutter_full_pdf_viewer: ^1.0.6
  flutter_plugin_pdf_viewer: ^1.0.7
  video_player: ^2.1.5
  sqflite: ^1.2.0
  path: ^1.6.4
  material_design_icons_flutter: 3.4.4995
  firebase_messaging: ^11.2.5
  grouped_buttons: ^1.0.4
  flutter_local_notifications:
  syncfusion_flutter_pdfviewer: ^19.4.47-beta
  url_launcher: ^6.0.18

dev_dependencies:
  flutter_test:
    sdk: flutter

  pedantic: ^1.4.0
  build_runner: ^1.2.7

# For information on the generic Dart part of this file, see the
# following page: https://www.dartlang.org/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:
  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true
  fonts:
    - family: Montserrat
      fonts:
        - asset: assets/Montserrat-Regular.ttf
    - family: StudentIcon
      fonts:
        - asset: fonts/StudentIcon.ttf
    - family: LawyerIcon
      fonts:
        - asset: fonts/LawyerIcon.ttf
    - family: LawyerPersonIcon
      fonts:
        - asset: fonts/LawyerPersonIcon.ttf
    - family: NyarakaIcon
      fonts:
        - asset: fonts/NyarakaIcon.ttf
    - family: MakalaIcon
      fonts:
        - asset: fonts/MakalaIcon.ttf
    - family: QuestionAnsIcon.ttf
      fonts:
        - asset: fonts/QuestionAnsIcon.ttf
  assets:
    - img/slide.png
    - img/slide2.png
    - img/slide3.png
    - img/icon.png
    - img/mpesa.png
    - img/tigopesa.png
    - img/halopesa.png
    - img/20210525.pdf
    - img/20210603.pdf
    - img/EngementActivity.pdf
    - img/The_Land_Acquisition_Act_Cap_118.pdf
    - img/The_Land_Act_1999_Cap_113.pdf
    - img/Valuation_and_Valuers_Act.pdf

flutter_icons:
  image_path: "img/icon.png"
  android: true
  ios: true
  # To add assets to your application, add an assets section, like this:
  # assets:
  #  - images/a_dot_burr.jpeg
  #  - images/a_dot_ham.jpeg
  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.
  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages
  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
